#!/bin/dash

BASE_URL=https://git.netm.ch/m/os-init/raw/branch/main

showHelp() {
	echo "alpine.sh"
	echo ""
	echo "use :"
	echo "sh alpine.sh [options]"
	echo " -b | --base-url url"
}

main() {
	wget -O /tmp/init.sh "${BASE_URL}"/alpine/init.sh
	sh /tmp/init.sh -b "${BASE_URL}"
	rm /tmp/init.sh
}

while [ ${#} -gt 0 ]; do
	case ${1} in
		--help) showHelp; exit 0;;
		-b | --base-url) BASE_URL="${2}"; shift;;
		*) shift;;
	esac
done

main
