#!/bin/bash

apt install -y rinetd

nano /etc/rinetd.conf
systemctl restart rinetd

if [ -f "/etc/iptables/rules.v4" ]; then
	sed -i '/^-A INPUT -i lo -j ACCEPT.*/a # RINETD' /etc/iptables/rules.v4
	nano /etc/iptables/rules.v4
	iptables-restore /etc/iptables/rules.v4
fi
